# Configure the Payment and Billing Address subflow

You need to configure the payment subflow to add My Wall and Digital River payment support. To configure the Payment and Billing Address subflow:

1. Click **Setup** ![](/files/gdWiI90IBsNQrB7jE9u2).
2. Type `Flows` in the **Quick Find** field and click **Flows**.\
   ![](/files/Tz5hQH4WDZg2sDEw1y1P)
3. Scroll down and click **Subflow - Payment and Billing Address**. The Flow Builder opens in a separate tab.\
   ![](/files/clOh7wzvPK4yBqZZ6Qz7)
4. Drag the **Screen** element from the left pane and drop it in the right pane.
5. Type `placeOrderConfirmation` in the **Label** field on the **Edit Screen** dialog.![](/files/IjsANU404aypZP4n68gm)
6. Type `drb2b_paymentDetails` in the **Search Components** field and click **drb2b\_paymentDetails**.\
   ![](/files/MTF9U4uIcE2ooyDYnTyU)
7. Drag **drb2b\_paymentDetails** to where you want it to appear on the Edit Screen.\
   ![](/files/PkDCJYWCRGSNNTTZqz5l)
8. Enter the following values in the fields:
   * **API Name**: Type `paymentDetails` or any other name with no restrictions.
   * **Cart Id**: Type `{!cartId}`.\
     ![](/files/nOelYcOqec10iPlZNVmB)
9. Type `drb2b_orderSummary` in the **Search components** field and click **drb2b\_orderSummary**.\
   ![](/files/zqcSaHr6VDxFx156Jpjd)
10. Drag **drb2b\_orderSummary** to where you want it to appear on the Edit Screen.![](/files/k1rJb8XtJoYA0E3LeUAk)
11. Enter the following values in the fields:
    * **API Name**: Type `orderSummary` or any other name with no restrictions.
    * **ByPass Validation**: Type `{!$GlobalConstant.False}` or `{!$GlobalConstant.True}` (default value).\
      **Note**: Set the value to `{!$GlobalConstant.False}` whenever you want to use the `drb2b_drTermComponent` on the Place Order page. See [DR terms component](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.1/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/components/dr-terms-component.md) for more information.
    * **Record Id**: Type `{!cartId}`.
    * **Show All**: Type `{!$GlobalConstant.True}`.
    * **Show Duty**: Type `{!$GlobalConstant.True}`.
    * **Show Grand Total**: Type `{!$GlobalConstant.True}`.
    * **Show IOR Tax**: Type `{!$GlobalConstant.True}`.
    * **Show Place Order**: Type `{!$GlobalConstant.True}`.
    * **Show Regulatory Fee**: Type `{!$GlobalConstant.True}`.
    * **Show Shipping**: Type `{!$GlobalConstant.True}`.
    * **Show Subtotal**: Type `{!$GlobalConstant.True}`.
    * **Show Tax**: Type `{!$GlobalConstant.True}`.\
      ![](/files/7bSwXKbwnIit8f79RGU1)
12. Type `drb2b_drUtil` in the **Search components** field and click **drb2b\_drUtil** . ![](/files/mu2hfb58ULtQ14rfx98y)
13. Drag **drb2b\_drUtil** to where you want it to appear on the Edit Screen.![](/files/TYMYXsZvnFOSHPPd4HYD)
14. Type `drb2b_Util` or any other name with no restrictions in the **API Name** field.
15. Click **Done**.

{% hint style="info" %}
To continue editing the Payment and Billing Address subflow, see:

* [Edit the Payment Method screen](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.1/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/subflow-configuration/configure-the-payment-and-billing-address-subflow/edit-the-payment-method-screen.md)
* [Edit the decision elements](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.1/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/subflow-configuration/configure-the-payment-and-billing-address-subflow/edit-the-decision-elements.md)
* [Link the screen components](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.1/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/subflow-configuration/configure-the-payment-and-billing-address-subflow/link-screen-components.md)
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-1.1/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/subflow-configuration/configure-the-payment-and-billing-address-subflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
